Name: openbox
Version: 3.3.1
Release: alt4

Summary: Openbox is a standards compliant, fast, light-weight, extensible window manager
Summary(ru_RU.UTF-8): Openbox это следующий стандартам, быстрый, лёгкий, расширяемый оконный менеджер
License: GPL
Group: Graphical desktop/Other
Url: http://www.icculus.org/openbox/

Packager: Igor Zubkov <icesik@altlinux.org>

Source0: %name-%version.tar.gz
Source2: %name-icons.tar.bz2
Source3: %name.menu
Source4: %name.menu-method
Source5: %name.wmsession

# Debian
Source10: openbox.pod
Source11: kdetrayproxy.pod
Source12: gnome-panel-control.pod
Source13: menu.xml

# ALT Linux
Patch0: %name-3.1-alt-translation.patch
Patch1: %name-3.2-alt-new-ldflags.patch
Patch2: %name-alt-menu-rc.xml.in.patch

Patch3: %name-3.3.1-alt-TheBear-theme.patch

Requires: lib%name = %version-%release

%def_disable static
%{?_enable_static:BuildPreReq: XFree86-devel-static glibc-devel-static}

# Automatically added by buildreq on Fri Sep 08 2006 (-bi)
BuildRequires: cvs gcc-c++ gcc-fortran glibc-devel-static imake libpango-devel libSM-devel libXinerama-devel libxml2-devel libXrandr-devel linux-libc-headers packages-info-i18n-common python-modules-compiler python-modules-encodings xorg-cf-files

%description
Openbox is a standards compliant, fast, light-weight, extensible window manager.
Openbox works with your applications, and makes your desktop easier to manage.
This is because the approach to its development was the opposite of what seems
to be the general case for window managers. Openbox was written first to comply
with standards and to work properly. Only when that was in place did the team
turn to the visual interface.
Openbox is fully functional as a stand-alone working environment, or can be
usedas a drop-in replacement for the default window manager in the GNOME or KDE
desktop environments.

%package -n lib%name
Summary: Openbox libraries
Group: System/Libraries

%description -n lib%name
This package contains libraries for Openbox window manager:
libobparser - Openbox config file parsing library,
libobrender - Openbox Render Library.

%package -n lib%name-devel
Summary: Development files for Openbox
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the header files and libraries for
developing with Openbox window manager.

%package -n lib%name-devel-static
Summary: Development static library for Openbox
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries for developing with
Openbox window manager.

%prep
%setup -q -a2
#patch0 -p1
#patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%__autoreconf
%configure \
	--disable-rpath \
	%{subst_enable static}
%make_build

%__cp %SOURCE10 .
%__cp %SOURCE11 .
%__cp %SOURCE12 .

pod2man --section=1 --release=%version --center "Openbox documentation" openbox.pod > openbox.1
pod2man --section=1 --release=%version --center "Openbox documentation" kdetrayproxy.pod > kdetrayproxy.1
pod2man --section=1 --release=%version --center "Openbox documentation" gnome-panel-control.pod > gnome-panel-control.1

%install
%make_install DESTDIR=%buildroot install

# trick to include menu in %%files (why we don't have %%__touch macro?)
#touch %buildroot%_x11datadir/%name/menu

# manual pages
%__mkdir_p %buildroot%_man1dir/
%__install -pD -m 644 openbox.1 %buildroot%_man1dir/ 
%__install -pD -m 644 kdetrayproxy.1 %buildroot%_man1dir/
%__install -pD -m 644 gnome-panel-control.1 %buildroot%_man1dir/

# icons
%__install -pD -m 644 %name-64.xpm %buildroot%_iconsdir/OpenBox.xpm
%__install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

# Menu isn't cooked yet, because it's hard to implement menu-method
# for Openbox XML based menu
#__install -pD -m 644 %SOURCE3 %buildroot%_menudir/%name
%__install -pD -m 755 %SOURCE4 %buildroot%_sysconfdir/menu-methods/%name
%__install -pD -m 644 %SOURCE5 %buildroot%_sysconfdir/X11/wmsession.d/09%name

%__mkdir_p %buildroot%_sysconfdir/xdg/openbox/

%__install -pD -m 644 %SOURCE13 %buildroot%_sysconfdir/xdg/openbox/

%find_lang --output=%name.lang %name

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS CHANGELOG COMPLIANCE README
%_sysconfdir/xdg/openbox/*
%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*
%_bindir/*
%_man1dir/*
%_datadir/gnome/wm-properties/*
%dir %_datadir/%name/
%_datadir/%name/
%_datadir/pixmaps/*
%_datadir/themes/*
#_menudir/%name
%_liconsdir/%name.xpm
%_iconsdir/%name.xpm
%_iconsdir/OpenBox.xpm
%_miconsdir/%name.xpm

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_pkgconfigdir/*
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Tue Apr 10 2007 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt4
- add TheBear theme from old openbox source package (closes #11379)

* Thu Nov 02 2006 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt3
- add menu method from debian (closes #10332)

* Sat Oct 28 2006 Igor Zubkov <icesik@altlinux.org> 3.3.1-alt2
- sync with debian openbox_3.3-2
  + add manual pages (closes #10333)

* Fri Sep 08 2006 Igor Zubkov <icesik@altlinux.ru> 3.3.1-alt1
- 3.3 -> 3.3.1
- buildreq

* Wed Sep 06 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt4
- s/ru_RU.KOI8-R/ru_RU.UTF-8/
- buildreq

* Tue Aug 29 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt3
- 3.3rc2 -> 3.3
- convert spec to utf-8

* Fri May 26 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt2.rc2
- x86_64 fix

* Fri Mar 17 2006 Igor Zubkov <icesik@altlinux.ru> 3.3-alt1.rc2
- 3.3rc2
- move binary from /usr/X11R6/bin/ to /usr/bin/
- update url
- buildreq
- fix build with new ld / -Wl,--as-needed

* Thu Jan 22 2004 Anton V. Denisov <avd@altlinux.org> 3.1-alt1.1
- BuildRequires tuned by hands in hope what
  /usr/lib/pkgconfig/xft.pc is in XFree86-devel package in
  current Sisyphus (I have ALT Linux Sisyphus (20030704)).

* Tue Jan 20 2004 Anton V. Denisov <avd@altlinux.org> 3.1-alt1
- Initial release for ALT Linux Sisyphus.
- TODO:
  + Menu system (it's hard because Openbox use XML based menu);
  + Russian translation for %%description.
